# Generated by Django 3.1.7 on 2021-03-27 16:48

from django.db import migrations


def forwards_func(apps, schema_editor):
    ProjectAlert = apps.get_model("alerts", "ProjectAlert")
    for alert in ProjectAlert.objects.all():
        # Assume existing alerts are email
        alert.alertrecipient_set.create(recipient_type="email")


class Migration(migrations.Migration):
    dependencies = [
        ("alerts", "0002_auto_20210314_2022"),
    ]

    operations = [
        migrations.AlterUniqueTogether(
            name="alertrecipient",
            unique_together={("alert", "recipient_type", "url")},
        ),
    ]
